import graphene
from django.conf import settings
from graphene_django.debug import DjangoDebug

from users.mutations_public import UserMutations


class PublicMutation(UserMutations, graphene.ObjectType):

    if settings.DEBUG:
        debug = graphene.Field(DjangoDebug, name='_debug')


class PublicQuery(graphene.ObjectType):
    node = graphene.relay.Node.Field()

    if settings.DEBUG:
        debug = graphene.Field(DjangoDebug, name='_debug')


schema = graphene.Schema(mutation=PublicMutation, query=PublicQuery)
